//
//  MLManager.h
//  MobiloudSDK
//
//  Created by Alvise Susmel on 5/15/12.
//  Copyright (c) 2012 Fifty Pixels Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>

#define MLEventApplicationOpen @"app_open"
#define MLEventApplicationClose @"app_close"
#define MLEventArticleRead @"article_read"


@interface MLManager : NSObject
{
    NSDate *_lastOpenDate;
}
@property(nonatomic,copy) NSString *api_key;
@property(nonatomic,readonly) BOOL registered;
@property(nonatomic,retain) NSData *tokenData;

+(MLManager*)defaultManager;

//update the state
//set the token before calling this method
-(void)update;


#pragma mark Event
-(void)sendEventWithKey:(NSString*)eventKey 

                  value:(NSString*)eventValue 
              numberValue:(NSNumber*)numberValue

                options:(NSDictionary*)dict;

-(void)sendEvent:(NSString*)eventString;

@end
